Bug 427669 - Review Request: gnome-nds-thumbnailer - Thumbnailer for Nintendo DS ROM files
Review Request: gnome-nds-thumbnailer - Thumbnailer for Nintendo DS ROM files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 10:43 EST by James Bowes
Modified: 2013-01-10 04:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 08:17:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
erik-fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-01-06 10:43:15 EST
Spec URL: http://jbowes.fedorapeople.org/tmp/gnome-nds-thumbnailer.spec
SRPM URL: http://jbowes.fedorapeople.org/tmp/gnome-nds-thumbnailer-1.0.2-1.fc8.src.rpm
Description:
Thumbnailer for Nintendo DS ROM files.

Nintendo DS files contain an embedded 16 colours, 32x32 icon, which
helps identify the ROM files. This application can display the images
in Nautilus.
Comment 1 Erik van Pienbroek 2008-01-12 09:34:09 EST
(Please note I can only do pre-reviews, so someone else needs to approve this
package)

Feedback for gnome-nds-thumbnailer-1.0.2-1:

MUST Items:

- MUST: rpmlint must be run on every package. The output should be posted in the
review.
 $ rpmlint gnome-nds-thumbnailer.spec
 <no output>
 $ rpmlint gnome-nds-thumbnailer-1.0.2-1.fc9.i386.rpm 
 gnome-nds-thumbnailer.i386: W: conffile-without-noreplace-flag
/etc/gconf/schemas/gnome-nds-thumbnailer.schemas

 This warning can be ignored for gconf schemas
 OK!

- MUST: The package must be named according to the Package Naming Guidelines.
 OK!

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
 OK!

- MUST: The package must meet the Packaging Guidelines.
 %config(noreplace) should be used instead on plain %config. However, I don't
know for sure if this rule also applies to GConf schemas.
 Unknown

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.
 OK!

- MUST: The License field in the package spec file must match the actual license.
 Negative, spec file has license 'GPLv2' while the files COPYING and
gnome-nds-thumbnailer.c from the tarball are 'GPLv2+'

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
 OK!

- MUST: The spec file must be written in American English.
 OK!

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
 OK!

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
 $ md5sum gnome-nds-thumbnailer-1.0.2.tar.bz2 
 316e43eb66828addae64038372c59ab9  gnome-nds-thumbnailer-1.0.2.tar.bz2
 $ curl --silent
http://ftp.gnome.org/pub/gnome/sources/gnome-nds-thumbnailer/1.0/gnome-nds-thumbnailer-1.0.2.md5sum
 | grep gnome-nds-thumbnailer-1.0.2.tar.bz2
 316e43eb66828addae64038372c59ab9  gnome-nds-thumbnailer-1.0.2.tar.bz2

 OK!

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
 Tested on Rawhide/Fedora 9 i386 and mock/Fedora 8 i386
 OK!

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
 Unable to test on other arches

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
 Building in mock returns this error:
 checking for gconftool-2... no
 configure: error: gconftool-2 is needed
 See `config.log' for more details.
 error: Bad exit status from /var/tmp/rpm-tmp.58503 (%build)

 Negative, BuildRequires: GConf2 needs to be added to the spec file

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
 Package doesn't use locales
 OK!

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
 Package doesn't contain shared libraries
 OK!

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
 Not applicable
 OK!

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.
 Not applicable
 OK!

- MUST: A package must not contain any duplicate files in the %files listing.
 OK!

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
 OK!

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
 OK!

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
 Negative, Please use %{buildroot} instead of $RPM_BUILD_ROOT

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
 Package contains only code, no further content
 OK!

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
 Not applicable
 OK!

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
 OK!

- MUST: Header files must be in a -devel package.
 Not applicable
 OK!

- MUST: Static libraries must be in a -static package.
 Not applicable
 OK!

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
 Not applicable
 OK!

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
 Not applicable
 OK!

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
 Not applicable
 OK!

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
 Not applicable
 OK!

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.
 Package is a console only package, so there is no .desktop file
 OK!

- MUST: Packages must not own files or directories already owned by other packages.
 OK!

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
 OK!

- MUST: All filenames in rpm packages must be valid UTF-8.
 OK!

SHOULD Items:

- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
 Source package contains COPYING file containing the license
 OK!

- SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.
 Description and summary contain only English text
 OK!

- SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
 Negative, see the MUST: BuildRequires

- SHOULD: The package should compile and build into binary rpms on all supported
architectures.
 Unable to test

- SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
 $ gnome-nds-thumbnailer 
 Expects an input and an output file

 $ gnome-nds-thumbnailer --help
 Usage:
   gnome-nds-thumbnailer [OPTION...] [FILE...] Thumbnail Nintendo DS ROMs

 Help Options:
   -?, --help             Show help options

 Application Options:
   -s, --size             Size of the thumbnail in pixels
   --g-fatal-warnings     Make all warnings fatal

 OK!

- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
and left up to the reviewers judgement to determine sanity.
 Scriplets are used to install the GConf schemas. This all looks sane
 OK!

- SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency.
 Package doesn't contain any subpackages
 OK!

- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
 Package doesn't contain pkgconfig files
 OK!

- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. Please see File Dependencies in the Guidelines for
further information. 
 Not applicable
 OK!

-----

Conclusion:

- License tag needs to be changed to GPLv2+
- BuildRequires: GConf2 needs to be added
- $RPM_BUILD_ROOT needs to be changed to %{buildroot}
Comment 2 James Bowes 2008-01-15 17:19:23 EST
Hi Erik, thanks for taking a look

Updated:
Spec URL: http://jbowes.fedorapeople.org/tmp/gnome-nds-thumbnailer.spec
SRPM URL:
http://jbowes.fedorapeople.org/tmp/gnome-nds-thumbnailer-1.0.2-2.fc8.src.rpm


(In reply to comment #1)
> Conclusion:
> 
> - License tag needs to be changed to GPLv2+
> - BuildRequires: GConf2 needs to be added

I've updated these.

> - $RPM_BUILD_ROOT needs to be changed to %{buildroot}

IIRC, the guidelines state that neither is better than the other, so long as one
is used consistantly, so i've left it as RPM_BUILD_ROOT.
Comment 3 Jason Tibbitts 2008-01-27 19:46:50 EST
Eric, did you want to finish up this review?  As far as I can tell you should be
able to do so now.
Comment 4 Erik van Pienbroek 2008-01-28 06:47:04 EST
(In reply to comment #3)
> Eric, did you want to finish up this review?  As far as I can tell you should be
> able to do so now.
Sure, at first I only thought I needed to do the pre-review, but I can finish
the complete review now.

James,

Your package builds fine now in mock

==============================================================

This package (gnome-nds-thumbnailer) is hereby APPROVED by me

==============================================================
Comment 5 Jason Tibbitts 2008-01-28 12:34:00 EST
(In reply to comment #4)
> Sure, at first I only thought I needed to do the pre-review, but I can finish
> the complete review now.

There was no requirement for you to finish this; I just thought you might want
to go ahead and get the credit for it since you had already done the work.
Comment 6 James Bowes 2008-02-11 18:04:17 EST
Thanks EriK, Jason
Comment 7 James Bowes 2008-02-11 18:06:22 EST
New Package CVS Request
=======================
Package Name: gnome-nds-thumbnailer
Short Description: Thumbnailer for Nintendo DS ROM files.
Owners: jbowes
Branches: F-8
InitialCC:
Cvsextras Commits: yes
Comment 8 Erik van Pienbroek 2008-02-11 18:50:53 EST
Assigning the review request to myself and changed the status to 'assigned'
according to the guidelines (somehow, this wasn't possible for me yet when I
approved this request...)
Comment 9 Kevin Fenzi 2008-02-11 21:38:00 EST
cvs done.
Comment 10 Erik van Pienbroek 2008-02-21 08:17:26 EST
According to http://koji.fedoraproject.org/koji/packageinfo?packageID=5792 this
package has landed in Rawhide. Closing ticket

Note You need to log in before you can comment on or make changes to this bug.